services:
    SmartDatatablesBundle\Manager\TableManager:
        public: true
        arguments:
            - '@twig'
            - '@translator'
            - '@router'
            - '@knp_paginator'
            - '@request_stack'
            - '@smart_core.templating.assets.stack'
            - '@assets.packages'
            - '%smart_datatables.datatables_persistence%'
            - '%smart_datatables.datatables_persistence_lifetime%'
            - '%smart_datatables.datatables_loader%'
            - '%smart_datatables.datatables_max_result%'
            - '%smart_datatables.template.table%'
            - '%smart_datatables.template.table_content%'
            - '%smart_datatables.template.table_footer%'
            - '%smart_datatables.template.table_paginator%'

    smart_datatables.manager:
        alias: SmartDatatablesBundle\Manager\TableManager
        public: true
